# $target

Returns the target of the current window

Syntax

    $target
    $target(<window id>)

Description

The form with the <window id> parameter returns the target of the channel,query or dcc that has the specified id. The form without parameters returns the target of the current window, thus it is equivalent to calling $target($window). For channel windows the target is the channel name, for query windows it is the list of the "queried" users, for the dcc windows it is the remote end of the connection. The other windows have an empty target.

Examples

    echo $target

See also
$window, $console, $channel, $query, Window naming conventions

Main index, Function index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004